using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Timers;

namespace RFrameGenerate.Common
{
    public class SessionManage : ListConcurrent
    {
        private Timer timer;
        public SessionManage()
        {
            lock (_cache_Lock)
            {
                if (timer == null)
                {
                    timer = new Timer();
                    timer.Interval = 1000 * 60 * 60 * 6;
                    timer.Elapsed += timer_Elapsed;
                    timer.Start();
                }
            }
        }

        void timer_Elapsed(object sender, ElapsedEventArgs e)
        {
            lock (_cache_Lock)
            {
                CacheBuffer.Clear();
            }
        }
    }
}
